<?php
set_time_limit(0);
$prescription = trim($_GET['q']);
$id = intval($_GET['id']);

$r_num = 0; //结果个数
$lan = 1;
$pf = "";
$pf_l = "";

if($prescription!=""){
	$dreamdb=file("data/yanyu.dat");//读取谚语文件
	$count=count($dreamdb);//计算行数

	for($i=0; $i<$count; $i++) {
		$keyword=explode(" ",$prescription);//拆分关键字
		$dreamcount=count($keyword);//关键字个数
		for ($ai=0; $ai<$dreamcount; $ai++) {
			@eval("\$found = eregi(\"$keyword[$ai]\",\"$dreamdb[$i]\");");
			if(($found)){
				$detail=explode("\t",$dreamdb[$i]);
				if(fmod($r_num,$lan)==0) $pf_l .= "<tr>";
		$pf_l .= '<td width="'.(100/$lan).'%"> <img src="../img/jiantou.gif" />[<a href="./?q='.urlencode($detail[0]).'"class="lan">'.$detail[0].'</a>';
                $pf_l .= ']<a href="?id='.($i+1).'">'.$detail[1].'</a>';
		                if(trim($detail[2],"\r\n")!="") $pf_l .= '</a></td>';
				if(fmod($r_num,$lan)+1==$lan) $pf_l .= "</tr>";
				$r_num++;
				break;
			}
		}
	}
	$pf_l = '<table width="700" cellpadding="2" cellspacing="0" class="mob_ace" style="border:1px solid #A4C4DC;"><tr><td style="background:url(/img/kuang5.gif);padding:0 5px;color:#014198;" height="26" valign="middle" colspan="5"><b><a href="./">民间谚语</a>：找到 <a href="./?q='.urlencode($prescription).'"><font color="#c60a00">'.$prescription.'</font></a> 的相关谚语'.$r_num.'个</b></td></tr><tr><td><table cellpadding="5" cellspacing="10" width="100%">'.$pf_l.'</table></td></tr></table>';
}elseif($id>0){
	$dreamdb=file("data/yanyu.dat");//读取谚语文件
	$count=count($dreamdb);//计算行数

	$detail=explode("\t",$dreamdb[$id-1]);
	$pf = '<table width="700" cellpadding=2 cellspacing=0 class="mob_ace" style="border:1px solid #A4C4DC;"><tr><td style="background:url(/img/kuang5.gif);padding:0 5px;color:#014198;" height="26" valign="middle"><b><a href="./">民间谚语</a> / <a href="./?q='.urlencode($detail[0]).'">'.$detail[0].'</a></b></td><td style="background:url(/img/kuang5.gif);padding:0 5px;color:#014198;" align="right">';
	if($id>1 && $id<=$count) $pf .= '<a href="?id='.($id-1).'">上一个</a> ';
	$pf .= '<a href="./">查看全部</a>';
	if($id>=1 && $id<$count) $pf .= ' <a href="?id='.($id+1).'">下一个</a>';
	$pf .= '</td></tr><tr><td colspan="2" align="center"><br><table border="0" width="90%" style="font-size:14px;line-height:150%"><tr><td width="80">【分类】</td><td>'.$detail[0].'</td></tr><tr><td>【谚语】</td><td>'.$detail[1].'</td></tr></table><br></td></tr></table>';
}else{
	$dreamdb=file("data/yanyu.dat");//读取谚语文件
	$count=count($dreamdb);//计算行数

	$pfl = rand(0,intval($count/30));

	for($i=$pfl*30; $i<$pfl*30+30; $i++) {
		if($i>=$count-1) break;
		$detail=explode("\t",$dreamdb[$i]);
		if(fmod($r_num,$lan)==0) $pf_l .= "<tr>";
		$pf_l .= '<td width="'.(100/$lan).'%"> <img src="../img/jiantou.gif" />[<a href="./?q='.urlencode($detail[0]).'"class="lan">'.$detail[0].'</a>';
                $pf_l .= ']<a href="?id='.($i+1).'">'.$detail[1].'</a>';
		if(trim($detail[2],"\r\n")!="") $pf_l .= '</a></td>';
		if(fmod($r_num,$lan)+1==$lan) $pf_l .= "</tr>";
		$r_num++;
	}
	$pf_l = '<table width="700" cellpadding="2" cellspacing="0" class="mob_ace" style="border:1px solid #A4C4DC;"><tr><td style="background:url(/img/kuang5.gif);padding:0 5px;color:#014198;" height="26" valign="middle" colspan="5"><b>推荐民间谚语'.$r_num.'个</b></td></tr><tr><td><table cellpadding="5" cellspacing="10" width="100%">'.$pf_l.'</table></td></tr></table>';
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="X-UA-Compatible" content="IE=EmulateIE7" />
<meta http-equiv="Content-Type" content="text/html; charset=gb2312" />
<?
if($prescription){
	echo "<title>".$prescription."民间谚语大全_365网址导航_天天导航网</title>";
	echo '<meta name="keywords" content="'.$prescription.',民间谚语,英文谚语" />';
}elseif($id>0 && $id<=$count){
	echo "<title>".$detail[1]." - ".$detail[0]."民间谚语大全 -娱乐工具-IP地址查询|手机号码归属地查询|身份证|电话号码查询|黄历|万年历|区号|各种查询</title>";
	echo '<meta name="keywords" content="民间谚语,列车时刻表,手机号码归属地,邮编,黄道吉日,号码吉凶,IP地址,工具大全,实用查询网站,'.$detail[1].",".$detail[0].',解梦,周公解梦大全" />';
}else{
	echo "<title>民间谚语大全_365网址导航_天天导航网</title>";
	echo '<meta name="keywords" content="民间谚语,列车时刻表,手机号码归属地,邮编,黄道吉日,号码吉凶,IP地址,工具大全,实用查询网站,民间谚语,中医解梦,中药解梦,解梦大全" />';
	echo '<meta name="description" content="谚语是人民群众口头流传的习用的固定语句，用简单通俗的话来反映深刻的道理。 谚语是民间集体创造、广为口传、言简意赅并较为定型的艺术语句，是民众丰富智慧和普遍经验的规律性总结。恰当地运用谚语可使语言活泼风趣，增强文章的表现力。谚语多半在民间口语中广泛流传，表达人们丰富的社会生活经验，闪耀着人民智慧的光芒。谚语不仅是我们中华民族的结晶，同时在外国也收到广泛应用。谚语反映的内容涉及到社会生活的各个方面。" />';
}
?>
<link href="../css/jiuyaocha.css" rel="stylesheet" type="text/css" />
<link href="../favicon.ico" rel="shortcut icon" />
</head>
<body>
<style type="text/css">
h3{font-size:18px;padding:10px 0 0 10px;color:#014198;}
p{padding: 10px;font-size:18px}
a.lan,a.lan:visited{color:#999;}
#cont td{height:30px;font-size:14px;padding:0 10px}
#cont a,#cont a:visited{text-decoration:none;}
#cont a:hover{text-decoration:underline;}
</style>
<script language="javascript" src="../adjs/header1.js"></script>
<div class="flo_l nav"><ul><li class="nav2"><a href="../" >生活查询</a></li>
<li class="nav1"><a href="../yule" >娱乐工具</a></li>
<li class="nav2"><a href="../caijing" >财经商务</a></li>
<li class="nav2"><a href="../jisuan" >计算/学习</a></li>
<li class="nav2"><a href="../wangluo" >电脑网络</a></li>
<li class="nav2"><a href="../zhanzhang" >站长工具</a></li>
<li class="nav2"><a href="../jiaotong" >交通查询</a></li>
</ul></div>
</div></div></div>
<div class="w950">
<div class="knr"><div class="xdh">
<ul id="ful">
<script language="javascript" type="text/javascript" src="../js1/yule.js"></script>
</ul></div></div>
<div class="head3"></div></div>

<script language="javascript" type="text/javascript" src="../js1/ad.js"></script>
<div style='height:5px;'></div>
<div class="w950">
  <div class="head4">
    <div class="Ico_aBox">
      <div class="Ico_aBox_icon INico50"></div>
      <div class="Ico_aBox_tit">民间谚语大全</div>
      <div class="Ico_aBox_intro">民间谚语/英文谚语</div>
    </div>
  </div>
  <div class="knr">
    <div class="mobile_main">
<table width="700" cellpadding="2" cellspacing="0" style="border:1px solid #A4C4DC;" id="top"><tr><td align="center" valign="middle" height="60"><form action="./" method="get" name="f1"><b>搜索谚语：<b><input name="q" id="q" type="text" size="18" delay="0" value="" style="width:200px;height:22px;font-size:16px;font-family: Geneva, Arial, Helvetica, sans-serif;" /> <input type="submit" class="mob_copy1" value=" 搜索 " /></form></td></tr><tr><td align="center" height="30" style="font-size:14px;">输入最短的关键字，如<a href="./?q=%C2%E6%CD%D5">瘦死的骆驼比马大</a>，输入<a href="./?q=%C2%E6%CD%D5">骆驼</a>后按Enter即可</td></tr></table><div style='height:10px;'></div>
<?
if($prescription!=""){
	//echo $pf_l.$pf;
	echo $pf_l;
}elseif($id>0 && $id<=$count){
	echo $pf;
}else{
	echo '<table width="700" cellpadding="2" cellspacing="0" class="mob_ace" style="border:1px solid #A4C4DC;"><tr><td style="background:url(/img/kuang5.gif);padding:0 5px;color:#014198;" height="26" valign="middle" colspan="5"><b>民间谚语大全</b></td></tr><tr><td><p style="line-height:150%;font-size:12px;">　　谚语是人民群众口头流传的习用的固定语句，用简单通俗的话来反映深刻的道理。 谚语是民间集体创造、广为口传、言简意赅并较为定型的艺术语句，是民众丰富智慧和普遍经验的规律性总结。恰当地运用谚语可使语言活泼风趣，增强文章的表现力。谚语多半在民间口语中广泛流传，表达人们丰富的社会生活经验，闪耀着人民智慧的光芒。谚语不仅是我们中华民族的结晶，同时在外国也收到广泛应用。谚语反映的内容涉及到社会生活的各个方面。<br>　　本谚语大全收录各类谚语5000余条，共计69类；涵盖方面广，是目前最全的谚语类查询工具！</p></td></tr></table>
<br>';
	echo $pf_l;
}
?>
</div>
</div>
  <div class="head3"></div>
<script language="javascript" src="../adjs/footer.js"></script>
<div style="display:none">
<script language="javascript" src="../adjs/tongji.js"></script></div>
</body>
</html>